#
# spec file for package xpdf-poppler (Version 3.02)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define releasedate    20071121

Name:           xpdf-poppler
BuildRequires:  gcc-c++ ghostscript-fonts-std libpoppler-devel openmotif-devel update-desktop-files xorg-x11
License:        GPLv2
Group:          Productivity/Publishing/PDF
Version:        3.02
Release:        4.6.1
AutoReqProv:    on
Requires:       ghostscript-fonts-std
Summary:        A PDF File Viewer for the X Window System
Source0:        xpdf-%{version}-poppler-%{releasedate}.tar.bz2
Source1:        xpdf.desktop
Source2:        xpdf.png
Source3:        xpdfrc
# PATCH-FEATURE-UPSTREAM xpdf-poppler-i18n.patch pgajdos@suse.cz
Patch0:         %{name}-i18n.patch
Patch1:         %{name}-settitle.patch
# PATCH-FEATURE-UPSTREAM xpdf-poppler-search-non-ascii.patch pgajdos@suse.cz
Patch2:         %{name}-search-non-ascii.patch
# PATCH-FEATURE-UPSTREAM xpdf-poppler-cut-and-paste-default-output-encoding.patch pgajdos@suse.cz
Patch3:         %{name}-cut-and-paste-default-output-encoding.patch
# PATCH-FIX-OPENSUSE xpdf-poppler-crash-in-japanese-locale.patch pgajdos@suse.cz
Patch4:         %{name}-crash-in-japanese-locale.patch
# PATCH-FEATURE-UPSTREAM xpdf-poppler-add-and-subtract-key-binding.patch pgajdos@suse.cz
Patch5:         %{name}-add-and-subtract-key-binding.patch
# PATCH-FIX-UPSTREAM xpdf-poppler-poppler-0.10.0.patch pgajdos@suse.cz
Patch6:         %{name}-poppler-0.10.0.patch
# PATCH-FIX-UPSTREAM xpdf-poppler-cxx-flags.patch pgajdos@suse.cz
Patch7:         %{name}-cxx-flags.patch
# PATCH-FIX-OPENSUSE xpdf-poppler-xpdfrc.5-reference.patch pgajdos@suse.cz
Patch8:         %{name}-xpdfrc.5-reference.patch
# PATCH-FIX-UPSTREAM xpdf-poppler-disable-autohinting.patch
Patch9:         %{name}-autohinting-as-option.patch
# PATCH-FIX-UPSTREAM xpdf-poppler-private-textpage-destructor.patch pgajdos@suse.cz
Patch10:        %{name}-private-textpage-destructor.patch
# PATCH-FIX-UPSTREAM xpdf-poppler-getCMap-arguments.patch pgajdos@suse.cz
Patch11:        %{name}-getCMap-arguments.patch
Patch12:        %{name}-set-icon.patch
Patch13:        %{name}-no-goto-when-fullscreen.patch
Patch14:        %{name}-pimage-null.patch
Url:            http://www.foolabs.com/xpdf/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      xpdf
Provides:       xpdf

%description
This tool is used for viewing PDF (Portable Document Format) files. It
is designed to be small and efficient.



Authors:
--------
    Derek B. Noonburg <derekn@foolabs.com>

%prep
%setup -q -n xpdf-%{version}-poppler
%patch0 -p2
#%patch1 -p2  -- seems not to be needed
%patch2 -p2
%patch3 -p2	
%patch4 -p2
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8
%patch9
%patch10
%patch11
%patch12 -p1
%patch13
%patch14 -p1

%build
export CXXFLAGS="$RPM_OPT_FLAGS -DSYSTEM_XPDFRC=\\\"/etc/xpdfrc\\\""
export CFLAGS="$RPM_OPT_FLAGS"
make

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 xpdf %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 xpdf.1 %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/applications/
install -m 644 %{S:1} %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -m 644 %{S:2} %{buildroot}%{_datadir}/pixmaps/
mkdir %{buildroot}/etc
install -m 644 %{S:3} %{buildroot}/etc
%suse_update_desktop_file -i xpdf Office Viewer

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ANNOUNCE README CHANGES
%{_bindir}/xpdf
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%doc %{_mandir}/man1/xpdf.1*
%config(noreplace) /etc/xpdfrc

%changelog
* Fri Jul 30 2010 pgajdos@suse.cz
- fixed two crashes [bnc#617623]
  * no-goto-when-fullscreen.patch
  * pimagenull.patch
* Tue Jan 26 2010 pgajdos@suse.cz
- fixed crash when xpdf called for nonexisting file [bnc#573792]
* Wed Dec 30 2009 bernhard@bwalle.de
- Add xpdf-poppler-set-icon.patch to set the application icon for
  window managers in xpdf.
* Tue Nov 24 2009 pgajdos@suse.cz
- fixed build with new poppler
  * adjusted autohinting-as-option.patch
* Tue Aug  4 2009 pgajdos@suse.cz
- fixed build with new poppler
  * getCMap-arguments.patch
* Thu May 21 2009 pgajdos@suse.cz
- xpdf-poppler uses (upcoming) GlobalParameters::forceNoFTAutoHinting()
  to disable hinting by default, new parameter "-ah yes" can enable it
  * autohinting-as-option.patch
- ~TextPage() was marked as private, use decRefCnt() instead
  * private-textpage-destructor.patch
* Tue Mar 24 2009 pgajdos@suse.cz
- moved to poppler backend, package renamed to xpdf-poppler
- see
  * http://bugs.gentoo.org/show_bug.cgi?id=176081
  * http://gentoo-portage.com/app-text/xpdf
  * http://gentooexperimental.org/~genstef/dist/
* Mon Dec 15 2008 pgajdos@suse.cz
- fixed freeing non allocated memory [bnc#457554]
  * full-screen.patch
* Tue Jun 10 2008 pgajdos@suse.cz
- KP + and - is bound to zoomIn and zoomOut [bnc#395811]
  (add-and-subtract-key-binding.patch)
* Mon May 19 2008 maw@suse.de
- Provide pdftools_any in the -tools subpackage (bnc#378434).
* Fri May  2 2008 nadvornik@suse.cz
- fixed a bug with signed/unsigned type conversion [bnc#385330]
  (xpdf-3.02-stream.patch)
* Tue Apr 15 2008 pcerny@suse.cz
- added type checking suggested in bnc#377838
  (xpdf-3.02-object_type_checking.patch)
* Tue Nov  6 2007 pcerny@suse.cz
- fix for CVE-2007-4352,5392,5393 [#335637]
- correct fix for CVE-2007-3387 [#291690]
* Mon Aug  6 2007 ltinkl@suse.cz
- update to 3.0.2
  * Added anti-aliasing for vector graphics; added the vectorAntialias
  * xpdfrc option; added the "-aaVector" switch to xpdf and pdftoppm.
  * Implemented stroke adjustment (always enabled by default, ignoring the
  * SA parameter, to match Adobe's behavior), and added the strokeAdjust
  * xpdfrc command.
  * Support PDF 1.6 and PDF 1.7.
  * Added support for AES decryption.
  * Added support for OpenType fonts (only tested with 8-bit CFF data so
    far).
  * Added user-configurable key/mouse bindings - the bind/unbind xpdfrc
    commands
  * many bugxfixes
- fixed/redone patches, threw away unused or already merged-in patches
- contains also fix from integer overflow (CVE-2007-3387, #291690)
* Tue Apr 10 2007 bwalle@suse.de
- add check for X11/xpm.h to get an application icon
* Fri Jan 12 2007 nadvornik@suse.cz
- fixed infinite loop in page tree (CVE-2007-0104) [#233113]
* Wed Oct 25 2006 mfabian@suse.de
- Fate #300950: don't call xpdf-cjk-config from SuSEconfig.xpdf
  anymore, make it a plugin script for /usr/sbin/fonts-config
  instead.
* Wed Oct  4 2006 nadvornik@suse.cz
- moved manpages to appropriate subpackage [#201739]
* Tue Aug 15 2006 mfabian@suse.de
- change font paths in xpdfrc-cjk and xpdfrc-cjk.sjis from
  /usr/X11R6/lib/X11/fonts to /usr/share/fonts (move to X11R7).
* Wed Aug  9 2006 anosek@suse.cz
- fixed a crash when searching zero length string caused by
  xpdf-search-non-ascii.patch [#196471]
* Fri Jun 23 2006 nadvornik@suse.cz
- do not use freetype2 internals
* Thu Mar  9 2006 mmarek@suse.cz
- fixed redraw on window resize
  [#155745] (resize.patch)
* Tue Feb 14 2006 mmarek@suse.cz
- fix segfault caused by uninitialised variable
  [#150576] (modified xpdf-font-optimize.dif)
* Thu Feb  9 2006 nadvornik@suse.cz
- fixed xpdf-i18n.patch:
  - do not combine FontLists and RenderTables
  - adjusted font names to avoid missing charset warning [#146996]
- dropped unneeded xpdf-3.01-fonts.patch
* Tue Feb  7 2006 sbrabec@suse.cz
- Fixed SplashXPathScanner heap overflow (#141242, CVE-2006-0301).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 meissner@suse.de
- Added -fno-strict-aliasing.
* Mon Jan 16 2006 meissner@suse.de
- use -fstack-protector.
* Thu Dec 15 2005 sbrabec@suse.cz
- Fixed more overflows and signed integer multiplications
  (Chris Evans, Martin Pitt, #137156).
* Wed Dec  7 2005 sbrabec@suse.cz
- Heap owerflow fixes (#137156, CAN-2005-3191, CAN-2005-3192,
  CAN-2005-3193).
* Fri Nov 25 2005 nadvornik@suse.cz
- updated to 3.01
- subpackage xpdf-config was renamed to xpdf-tools
  and the commandline tools were moved to this subpackage [#135443]
* Tue Oct 25 2005 rguenther@suse.de
- gcc-4.1 compilation fix: remove excess qualification
* Wed Aug 31 2005 nadvornik@suse.cz
- render 'fi' correctly [#113799]
- do not use bytecode interpreter
* Tue Aug  2 2005 nadvornik@suse.cz
- fixed crash on 64bit architectures [#99663]
* Sun Jul 31 2005 dmueller@suse.de
- for mkstemp(), the last 6 characters must be XXXXXX
* Mon May 23 2005 nadvornik@suse.cz
- gcc4 fix: added forward declarations
* Thu Mar  3 2005 meissner@suse.de
- added missing libgoo-sizet security patch.
* Wed Jan 19 2005 nadvornik@suse.cz
- used upstream patch for CAN-2005-0064 [#49840]
* Mon Jan 17 2005 nadvornik@suse.cz
- fixed buffer overflow in Decrypt::makeFileKey2 (CAN-2005-0064) [#49840]
* Thu Jan  6 2005 nadvornik@suse.cz
- fixed buffer overflow: CAN-2004-1125 [#49463]
* Fri Dec  3 2004 nadvornik@suse.cz
- installed correct icon
* Mon Oct 18 2004 meissner@suse.de
- Added yet another sizeof() check that was missed (#44963)
* Fri Oct 15 2004 mfabian@suse.de
- the Novell-ricoh-fonts have lower case font names now because
  .TTF and .TTC don't work in CJK-LaTeX. I changed xpdfrc-cjk
  accordingly.
* Tue Oct 12 2004 nadvornik@suse.cz
- fixed more integer overflows - CESA-2004-002 [#43082]
* Tue Sep 14 2004 nadvornik@suse.cz
- fixed multiple integer overflows [#43082]
* Mon Sep 13 2004 mfabian@suse.de
- add IPA-fonts to xpdfrc-cjk and xpdfrc-cjk.sjis in
  preference over the Sazanami fonts.
* Wed Aug  4 2004 mfabian@suse.de
- add Sazanami fonts to xpdfrc-cjk and xpdfrc-cjk.sjis in
  preference over the Kochi fonts.
* Wed Jun 30 2004 nadvornik@suse.cz
- moved pdfinfo to xpdf-config subpackage as it is needed by new
  version of kdegraphics
* Fri Jun 18 2004 mfabian@suse.de
- Bugzilla 42142: XtSetLanguageProc() also calls setlocale, i.e.
  there are more places where LC_NUMERIC needs to be reset to
  POSIX.
* Thu Jun 17 2004 tiwai@suse.de, mfabian@suse.de
- Bugzilla 42142: LC_NUMERIC should be set to POSIX, otherwise
  xpdf may generate PostScript output using ',' as the decimal
  separator and Ghostscript doesn't like that.
- xpdf segfaulted when clicking on non-existing links
* Thu Jun  3 2004 mfabian@suse.de
- add configuration entries to /etc/xpdfrc-cjk to use the Ricoh
  fonts licensed by Novell if available.
* Tue May 18 2004 tiwai@suse.de
- Bugzilla #39312:
  xpdf sometimes didn't work for embedded CJK fonts.
* Tue May 11 2004 mfabian@suse.de, tiwai@suse.de
- Bugzilla #39312:
  - make cut-and-paste work for non-ASCII characters
  - make output encoding default to "UTF-8" in UTF-8 locales
    instead of defaulting to "Latin1" always.
  - workaround the crash which occurs ja_JP.UTF-8 locale when
    the .pdf file given on the command line doesn't exist.
* Mon May 10 2004 tiwai@suse.de
- process the font rendering without the help of tempfile.
  this will improve the performance quite well with big font
  files and freetype.
* Mon May 10 2004 mfabian@suse.de
- Bugzilla #39312:
  - Comment 11: fix crash which occurs with fonts which have
    embedded bitmaps.
  - add FZSongTi.ttf and FZMingTiB.ttf to xpdfrc-cjk
* Thu May  6 2004 mfabian@suse.de, tiwai@suse.de
- Bugzilla #39312:
  - apply Takashi's patch xpdf-3.00-print-ext-ttf.dif
    (has been forgotten). Takashi has improved the patch to support
    multiple faces in .ttc fonts.
  - silently ignore non-existing font files to be able to
    configure more than one font in /etc/xpdfrc and let the
    last existing one win.
  - add /sbin/conf.d/SuSEconfig.xpdf and /usr/sbin/xpdf-cjk-config
    to automatically create parts of the CJK font setup depending
    on the fonts actually installed.
  - add /etc/xpdf-cjk and /etc/xpdf-cjk.sjis with manual
    refinements
  - xpdf-i18n.patch: make it possible to display non-ASCII
    file names in the file-selector box by using fontsets
    instead of single fonts. Thanks to Gerd Knorr <kraxel@suse.de>
    for help.
  - xpdf-search-non-ascii.patch: Make it possible to search for
    non-ASCII characters
- Bugzilla #39134: don't link against t1lib to avoid crashes
  in t1lib. freetype2 can render Type1 fonts as well, t1lib
  is therefore not needed.
* Wed Apr 21 2004 tiwai@suse.de
- fixed the handling of truetype for CJK (bug #39312).
- replaced tmpnam() with mkstemp().
* Mon Mar 15 2004 mfabian@suse.de
- Add "Provides: xpdf:/etc/xpdfrc" to xpdf-config sub-package.
* Sat Mar 13 2004 mfabian@suse.de
- Bugzilla #33663: Split xpdf-config out of xpdf to make it
  possible for kpdf to require only the character maps and the
  config file /etc/xpdfrc and not the binary. kpdf needs the
  character maps and the config file to be able to display
  CJK .pdf files.
* Wed Mar 10 2004 mfabian@suse.de
- Bugzilla #35524: improve the configuration to make xpdf work
  with Japanese, Korean, and traditional Chinese documents which
  don't embed the CJK fonts. It works only when the
  CID-keyed-fonts-* packages for the needed languages are
  installed.
* Mon Feb  9 2004 nadvornik@suse.cz
- updated to 3.00
  - pdf 1.5 support
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Thu Jan  8 2004 nadvornik@suse.cz
- updated to 2.0.3
- fixed to compile wth new freetype
* Sat Aug 16 2003 adrian@suse.de
- use translated desktop file from kappfinder
* Fri Aug 15 2003 adrian@suse.de
- add desktop file
* Fri Jul 11 2003 nadvornik@suse.cz
- updated to 2.02pl1
* Tue Jun  3 2003 sndirsch@suse.de
- xpdf-2.01-fonts.patch:
  * use 17 pixel font instead of non-existing 16 pixel font
* Tue May 20 2003 mmj@suse.de
- Package all man-files
* Tue Jan  7 2003 nadvornik@suse.cz
- updated to 2.01
  - switched to motif
- fixed possible buffer overflow
* Wed Jun 19 2002 nadvornik@suse.cz
- update to 1.01
  - improved I18N support
* Thu Nov 22 2001 nadvornik@suse.cz
- update to 0.93:
  - support for PDF 1.4
  - support for TTF fonts
- use fonts from ghostscript-fonts-std
* Thu Jun  7 2001 pblaha@suse.cz
- unused autoconf because many problems in old configure.in
* Mon Feb 19 2001 mfabian@suse.de
- update to 0.92
- t1lib is a separate package now, remove it from this package
  and add it to #neededforbuild and Requires: instead.
- add configure options --enable-japanese, --enable-chinese-gb
  and --enable-chinese-cns
* Thu Feb  8 2001 fober@suse.de
- Group Aplications/Text
* Mon Sep 18 2000 bubnikv@suse.cz
- updated to 0.91
* Mon Aug 14 2000 schwab@suse.de
- Add %%suse_update_config.
* Fri May 26 2000 bubnikv@suse.cz
- sorted
* Mon May 15 2000 bubnikv@suse.cz
- xpdf now uses t1 library for rendering fonts
- added buildroot
* Tue Jan 25 2000 ro@suse.de
- fixed to compile
- specfile cleanup
- man to /usr/share using macro
* Wed Oct 27 1999 fehr@suse.de
- changed to version 0.90
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jan 21 1999 ro@suse.de
- use "const char*" where needed for strict typecheck
* Fri Dec 11 1998 fehr@suse.de
- changed to version 0.80
* Mon Oct  5 1998 ro@suse.de
- added libgpp to neededforbuild
* Mon Jul  6 1998 fehr@suse.de
- New version 0.7a
* Wed Jun  4 1997 fehr@suse.de
- New version 0.7
* Wed Apr 16 1997 fehr@suse.de
- New version 0.6
* Thu Jan  2 1997 fehr@suse.de
- New version 0.5
